<Configuration status="WARN" monitorInterval="300">
    <Appenders>
        <Console name="Console" target="SYSTEM_OUT">
            <PatternLayout pattern="%d{HH:mm:ss.SSS} [%t] %-5level %logger{36} ### %msg%n" />
            <ThresholdFilter level="trace" onMatch="ACCEPT" onMismatch="DENY" />
        </Console>
        <RollingFile name="rolling_file_win"
            filePattern="./logs/制度管理/$${date:yyyy-MM}/huixiabao-%d{MM-dd-yyyy}-%i.log.gz">
            <PatternLayout>
                <Pattern>[%t][%level][%d{HH:mm:ss.SSS}][%logger.%M{36}#%L] %msg%n</Pattern>
            </PatternLayout>
            <Policies>
                <TimeBasedTriggeringPolicy interval="1" />
                <SizeBasedTriggeringPolicy size="20MB" />
                <DefaultRolloverStrategy max="20" />
            </Policies>
        </RollingFile>
        <RollingFile name="rolling_file_linux"
            filePattern="/logs/制度管理/$${date:yyyy-MM}/app-%d{MM-dd-yyyy}-%i.log.gz">
            <PatternLayout>
                <Pattern>[%t][%level][%d{HH:mm:ss.SSS}][%logger.%M{36}#%L] %msg%n</Pattern>
            </PatternLayout>
            <Policies>
                <TimeBasedTriggeringPolicy interval="1" />
                <SizeBasedTriggeringPolicy size="20MB" />
                <DefaultRolloverStrategy max="20" />
            </Policies>
        </RollingFile>
    </Appenders>
    <Loggers>
        <!-- <Logger name="mylog" level="info">
            <AppenderRef ref="rolling_file" />
        </Logger> -->
        <Root level="debug">
            <AppenderRef ref="rolling_file_linux" />
            <AppenderRef ref="rolling_file_win" />
            <AppenderRef ref="Console" />
        </Root>
    </Loggers>
</Configuration>